Doporučená verze PHP pro WordPress bude 7.0

V současné době je doporučená verze PHP pro WordPress 5.6. Pokud na vašem webhostingu máte nižší, tak jej i tak rozjedete, protože WordPress je zpětně kompatibilní s jeho předchozími verzemi. Ovšem podle některých článků u aktuální verze WordPress dochází u PHP 5.4 ke zpomalení. U PHP 5.2 dokonce ke znatelnému.

Zanedlouho se však může zvednout doporučená verze PHP pro WordPress na 7.0. Ostatně není důvod proč to neudělat. Většina webhostingů už PHP 7 podporuje řadu měsíců. Obecně je na tom Česko velice dobře, za co můžeme vděčit drsnému konkurenčnímu prostředí.

I když najdou se i výjimky, které se zasekly u PHP 5.4 a na výkonu WordPress to začíná být znát. Ovšem než WordPress jsou to pluginy, které zlobí a vyžadují často speciální konfiguraci. Na druhou stranu PHP 5.4 už není podporováno a nevychází k němu už ani bezpečnostní aktualizace, takže se vývojářům ani nedivím, že nechtějí investovat čas do zpětné kompatibility.

U některých webhosterů u nás se musíte spokojit s PHP 5.4. Což se nelíbí pluginům.
U některých hostingů u nás se musíte spokojit s PHP 5.4. Což se nelíbí pluginům a je nutné zasáhnout do konfigurace. Pro běžného uživatele neřešitelný problém.

Právě pluginy jsou i důvodem, proč komunita prozatím nechce moc tlačit na pilu. Dokud nebudou zvláště ty masově používané plně kompatibilní s PHP 7, není důvod nějak uživatele tlačit, aby přešel na PHP 7. Část komunity má také strach z reakcí uživatelů, kteří technickým věcem nerozumí. WordPress je jeden z nejjednodušších a nejvíce přívětivějších CMS na světě. Upozornění na zastaralou verzi PHP by se totiž mělo objevit přímo ve WordPress.

V brzké době se tedy nějakého varování anebo doporučení ve WordPress nedočkáme. V diskuzi však zazněla polovina roku 2017, popřípadě WordPress 4.8. Naproti tomu Matt Mullenweg se k tématu vyjádřil, že vzhledem k podílu WordPress na trhu, nechce vytvářet tlak na hostingové společnosti. Osobně si myslím, že popostrčit by některé společnosti u nás opravdu potřebovali.


Jak bude reklama vypadat?
-
Nechceš zde reklamu napořád jen za 60 Kč?
Zobrazit formulář pro nákup

3 komentáře

  1. Ja by som tiež radšej uvítal nech by wordpress popotlačil hostingové spoločnosti a aj všetko ostatné k používaniu php 7.0 . Veď predsa vývoj sa ajtak nezastaví a čím to bude skôr tým lepšie.

  2. Rád bych z PHP 5.3.29 přešel na PHP 7, jenže zatím jsem limitován kamarádem, který má u mne svůj projekt, který není připraven na přechod a po nasazení PHP 7 by došlo k znefunkčnění jeho webu. Nijak na to netlačím, prostě se jen budeme muset sejít, dát si víno a příslušné opravy v PHP skriptech provést společně. 🙂

Napsat komentář

Vaše e-mailová adresa nebude zveřejněna. Vyžadované informace jsou označeny *